package _06_成员变量和局部变量;

/**
 * 成员变量的值存储堆中
 *
 * 局部变量存储在栈当中
 */
public class VariableDemo {
    // 成员变量
    String name;

    // 在方法的形参上写的变量也属于局部变量
    public void method(String email){
        // 定义局部变量
        String name1 = "xx";
        System.out.println("method1 =name1:"+name1);
        System.out.println("method1 = name:"+ name);
    }

    public void method1(){
        System.out.println("method2 = name:"+ name);
    }

}
